using System;
using System.Linq;
using System.IO;
using System.IO.IsolatedStorage;
using System.Collections.Generic;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Framework.Client;
using Microsoft.LightSwitch.Presentation;
using Microsoft.LightSwitch.Presentation.Extensions;
namespace LightSwitchApplication
{
 public partial class Info
 {
  partial void Info_Activated()
  {
   var ws = Application.CreateDataWorkspace();

   this.AnzahlTeilnehmer = ws.ApplicationData.Teilnehmer.Cast<Teilnehmer>().Count().ToString() + " Teilnehmer";
   this.AnzahlReferenten = ws.ApplicationData.Referenten.Cast<Referent>().Count().ToString() + " Referenten";
   this.AnzahlSchulungen = ws.ApplicationData.Schulungen.Cast<Schulung>().Count().ToString() + " Schulungen";

  }
 }
}
